#pragma once
#include <vector>
#include "Mesh.h"
#include "Buffer.h"
#include "VertexArray.h"
#include "Scene.h"

class Renderable  : public SceneNode {
public:
	Buffer vertexBuffer;
	Buffer elementBuffer;
	VertexArray VAO;
	~Renderable();

	static Renderable* Load();
	void Draw();

private:
	std::vector<BarinkEngine::Mesh> meshes;
	Renderable();
};